Summary:        A git GUI viewer
Name:           qgit
Version:        2.9
Release:        %mkrel 3
License:        GPLv2
Group:          Development/Tools
Url:            http://libre.tibirna.org/projects/qgit
Source0:        https://github.com/tibirna/qgit/archive/%{name}-%{version}.tar.gz
Source1:        %{name}.1
BuildRequires:  cmake
BuildRequires:  qttools5
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)

Requires:       git-core

%description
With qgit you will be able to browse revisions history, view patch content
and changed files, graphically following different development branches.

Main features
- View revisions, diffs, files history, files annotation, archive tree.
- Commit changes visually cherry picking modified files.
- Apply or format patch series from selected commits, drag and
  drop commits between two instances of qgit.
- qgit implements a GUI for the most common StGIT commands like push/pop
  and apply/format patches. You can also create new patches or refresh
  current top one using the same semantics of git commit, i.e. cherry
  picking single modified files.

%prep
%setup -q -n %{name}-%{name}-%{version}
%autopatch -p1

%build
%cmake_qt5
%cmake_build

%install
%cmake_install

install -m 0644 -p -D %{SOURCE1} %{buildroot}%{_mandir}/man1/%{name}.1

%files
%doc README.adoc
%{_bindir}/qgit
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/metainfo/%{name}.appdata.xml
%{_mandir}/man1/%{name}.1*


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 2.9-3.mga8
+ Revision: 1659482
- Rebuild for new Qt5

* Sun Feb 16 2020 umeabot <umeabot> 2.9-2.mga8
+ Revision: 1530476
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Thu Aug 29 2019 daviddavid <daviddavid> 2.9-1.mga8
+ Revision: 1434963
- new version: 2.9

* Fri Apr 05 2019 daviddavid <daviddavid> 2.8-4.mga7
+ Revision: 1386025
- does not need scons anymore

* Mon Apr 01 2019 umeabot <umeabot> 2.8-3.mga7
+ Revision: 1384191
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.8-2.mga7
+ Revision: 1300649
- Mageia 7 Mass Rebuild

* Mon Jun 04 2018 daviddavid <daviddavid> 2.8-1.mga7
+ Revision: 1234381
- new version: 2.8

* Mon Mar 06 2017 daviddavid <daviddavid> 2.7-1.mga6
+ Revision: 1089137
- new version: 2.7
- switch build to cmake
- use upstream desktop, icon and appdata files
- update Source URL

* Tue Apr 05 2016 daviddavid <daviddavid> 2.6-1.mga6
+ Revision: 998757
- new version: 2.6
- switch build to Qt5
- add a patch from debian to fix some spellings
- add a manpage from debian

* Tue Feb 16 2016 umeabot <umeabot> 2.5-7.mga6
+ Revision: 962479
- Mageia 6 Mass Rebuild

* Mon Oct 26 2015 daviddavid <daviddavid> 2.5-6.mga6
+ Revision: 895463
- do not strip binary to fix empty debuginfo
- add a patch from Fedora to fix binary path
- add from Fedora an Icon and a desktop file
- fix License
- update file list

* Wed Oct 15 2014 umeabot <umeabot> 2.5-5.mga5
+ Revision: 747550
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.5-4.mga5
+ Revision: 688482
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.5-3.mga4
+ Revision: 517844
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.5-2.mga3
+ Revision: 379830
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 29 2012 malo <malo> 2.5-1.mga3
+ Revision: 299203
- update to 2.5
- fix RPM group

* Fri Sep 07 2012 malo <malo> 2.4-1.mga3
+ Revision: 289371
- update to 2.4
- remove obsolete patches

* Mon Jun 13 2011 tmb <tmb> 2.3-2.mga2
+ Revision: 105871
- fix call to git config (P2)
- drop buildroot

* Mon Jun 13 2011 tmb <tmb> 2.3-1.mga2
+ Revision: 105845
- imported package qgit


* Fri May 15 2009 trem <trem@mandriva.org> 2.3-1mdv2010.0
+ Revision: 376295
- update to 2.3
- add patch qgit-2.3-fix-format.patch

* Fri Jan 23 2009 Jérôme Soyer <saispo@mandriva.org> 2.2-1mdv2009.1
+ Revision: 332893
- Fix files section
- New upstream release
- New upstream release

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 28 2007 Gaëtan Lehmann <glehmann@mandriva.org> 1.5.7-1mdv2008.1
+ Revision: 138836
- update to new version 1.5.7

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Aug 27 2007 Gaëtan Lehmann <glehmann@mandriva.org> 1.5.6-1mdv2008.0
+ Revision: 72209
- 1.5.6


* Thu Mar 01 2007 Gaëtan Lehmann <glehmann@mandriva.org> 1.5.5-1mdv2007.0
+ Revision: 130458
- 1.5.5

* Sat Jan 06 2007 Gaëtan Lehmann <glehmann@mandriva.org> 1.5.4-1mdv2007.1
+ Revision: 104939
- 1.5.4

* Sat Oct 14 2006 Gaëtan Lehmann <glehmann@mandriva.org> 1.5.2-1mdv2007.1
+ Revision: 64638
- 1.5.2
- Import qgit

* Tue Jul 18 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.4-1mdv2007.0
- New release 1.4

* Sun Jun 18 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.3-2mdv2007.0
- drop Requires: cogito (thanks to Marco Costalba)

* Thu Jun 08 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.3-1mdk
- New release 1.3

* Wed May 03 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.2-1mdk
- New release 1.2

* Tue Mar 21 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.1.1-2mdk
- fix build on x86_64
- add description

* Mon Mar 20 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.1.1-1mdk
- New release 1.1.1
- use configure and makeinstall macros

* Fri Dec 30 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.0-1mdk
- New release 1.0
- requires git-core instead of linus-git

* Sat Dec 03 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.97.3-1mdk
- New release 0.97.3

* Sun Nov 13 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.97.2-1mdk
- New release 0.97.2

* Sun Nov 06 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.97-2mdk
- rebuild with new scons (fix build on x86_64)

* Fri Nov 04 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.97-1mdk
- New release 0.97

* Tue Oct 18 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.96.1-1mdk
- New release 0.96.1

* Wed Oct 05 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.95.1-1mdk
- New release 0.95.1

* Thu Sep 08 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.93-1mdk
- first mandriva release

